export type DJAPIEndpoint = "/rp-articles";

export interface DJAPIResultMap extends Record<DJAPIEndpoint, unknown> {
    "/rp-articles": { slug: string; title: string, tags?: string[] }[];
}

export type DJAPIResult = DJAPIResultMap[DJAPIEndpoint];

export default async function getDJAPI<T extends DJAPIEndpoint>(
    hostUrl: string,
    endpoint: T,
): Promise<DJAPIResultMap[typeof endpoint]> {
    return await (await fetch(`${hostUrl}/api${endpoint}`)).json();
}
